물론 일반적인 웹퍼블리싱에서 jquery 구버전과 신버전을 동시에 사용하는 미련한 사람은 없을 겁니다.


그렇지만...


Cafe24 EC호스팅 쇼핑몰 등 일부 서비스는 jquery 구버전을 기본으로 제공합니다. 이런 경우 신버전에서만 지원하는 플러그인을 사용하면 백발백중 충돌나게 됩니다. 저도 이 문제 때문에 모바일 Cafe24 쇼핑몰의 document.ready가 작동하지 않아서 애를 먹었구요.



그래서 Cafe24에 문의한 결과 가이드라인을 받았는데...


http://sdsupport.cafe24.com/board/tip/read.html?no=400&board_no=6


문제는 swiper 플러그인의 경우 카페24에 기재된 가이드라인과는 다르게 생겨먹은 플러그인이라는 것입니다. -_- -_-


요즘 플러그인을 Cafe24에서 가이드해주는 정도로 기능을 쉽게 파악할 수 있도록 만드는 경우는 잘 없더군요.


물론 플러그인 만드는 제작자들의 내공이 좋아서 그런 것이겠습니다만...


여차저차 해서 Cafe24 모바일 홈페이지 상에서 충돌나지 않게 만드는 것은 가능했습니다만, swiper 플러그인을 2개 이상 쓰면 동작하지 않는다는게 여전히 문제입니다.


이 문제가 생긴 이후로 시간이 지나서 집에서 Test해 보는데도 신버전 + 구버전 jquery를 모두 사용하면서 swiper 플러그인을 2개 이상 쓰는 것은 잘 안되더군요.




원래 이 블로그에 자주 포스팅하던 제가 알고있는 기술적인 정보를 알려주는 포스팅이 아니라서 죄송합니다. 하지만 이건 저도 못하는걸 어째요... ㅠㅠ





저작자 표시 비영리 변경 금지
신고

댓글을 달아 주세요

  1. CRISP_SURPLUS 2015.06.15 07:05 신고  댓글주소  수정/삭제  댓글쓰기

    그.. 금칙어라니...
    http://fpaste.org/231960/34319489/raw/ 에 댓글 내용이 있습니다... 뭐가 금칙어인걸까요.

    • 책덕후 화영 2015.06.15 07:46 신고  댓글주소  수정/삭제

      제가 따로 금칙어를 정한 적이 없으니 티스토리 시스템 상에서 임의로 정한 금칙어일 듯 하네요. 댓글은 나중에 확인해 보겠습니다.

    • 책덕후 화영 2015.06.16 00:21 신고  댓글주소  수정/삭제

      아... 모바일에서는 내용을 확인할 수 없어서 PC에서 확인하려고 했는데 jsfiddle 내용이 없어졌네요... ㅠㅠ 회사에서는 마음대로 PC에서 확인할 수 없는지라... 혹시 관련된 소스코드 내용을 zoahaza@gmail.com 으로 보내주실 수 없을까요... 부탁입니다. 번거롭게 해서 죄송해요.

  2. 빌노트 2015.06.15 08:11 신고  댓글주소  수정/삭제  댓글쓰기

    그래서 저는 구버전만 쓰고 있어요...
    비록 퍼포먼스와 기능은 떨어지지만 익스플로러를 위해 ㅎㅎ

티스토리 툴바